'\" t
.\"     Title: sulogin
.\"    Author: Julianne Frances Haugh
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 2022-08-22
.\"    Manual: 系统管理命令
.\"    Source: shadow-utils 4.12.3
.\"  Language: Chinese Simplified
.\"
.TH "SULOGIN" "8" "2022-08-22" "shadow\-utils 4\&.12\&.3" "系统管理命令"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "名称"
sulogin \- Single\-user login
.SH "SYNTAX"
.PP
\fBsulogin\fR
[\fItty\-device\fR]
.SH "描述"
.PP
The
\fBsulogin\fR
command is invoked by
\fBinit\fR
prior to allowing the user access to the system when in single user mode\&. This feature may only be available on certain systems where
\fBinit\fR
has been modified accordingly, or where the
/etc/inittab
has an entry for a single user login\&.
.PP
The user is prompted
.PP
Type control\-d to proceed with normal startup,
(or give root password for system maintenance):
.PP
Input and output will be performed with the standard file descriptors unless the optional device name argument is provided\&.
.PP
If the user enters the correct root password, a login session is initiated\&. When
\fIEOF\fR
is pressed instead, the system enters multi\-user mode\&.
.PP
After the user exits the single\-user shell, or presses
\fIEOF\fR, the system begins the initialization process required to enter multi\-user mode\&.
.SH "CAVEATS"
.PP
This command can only be used if
\fBinit\fR
has been modified to call
\fBsulogin\fR
instead of
/bin/sh, or if the user has set the
\fIinittab\fR
to support a single user login\&. For example, the line:
.PP
co:s:respawn:/etc/sulogin /dev/console
.PP
should execute the sulogin command in single user mode\&.
.PP
As complete an environment as possible is created\&. However, various devices may be unmounted or uninitialized and many of the user commands may be unavailable or nonfunctional as a result\&.
.SH "配置文件"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:
.SH "文件"
.PP
/etc/passwd
.RS 4
用户账户信息。
.RE
.PP
/etc/shadow
.RS 4
安全用户账户信息。
.RE
.SH "参见"
.PP
\fBlogin\fR(1),
\fBsh\fR(1),
\fBinit\fR(8)\&.
